# Uses of Class
org.eclipse.birt.chart.computation.LegendItemRenderingHints

Packages that use LegendItemRenderingHints
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of LegendItemRenderingHints in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return types with arguments of type LegendItemRenderingHints
Modifier and Type
Method
Description
`LinkedHashMap<Series,LegendItemRenderingHints>`
GeneratedChartState.`getRenderers()`
Returns a sorted lookup list of all series renderers.
`Map<Series,LegendItemRenderingHints>`
RunTimeContext.`getSeriesRenderers()`
Returns the series renderers for current context.
Method parameters in org.eclipse.birt.chart.factory with type arguments of type LegendItemRenderingHints
Modifier and Type
Method
Description
`void`
RunTimeContext.`setSeriesRenderers(Map<Series,LegendItemRenderingHints> msr)`
Sets the series renderers for current context.

## Uses of LegendItemRenderingHints in org.eclipse.birt.chart.render

Method parameters in org.eclipse.birt.chart.render with type arguments of type LegendItemRenderingHints
Modifier and Type
Method
Description
`final void`
AxesRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Overridden behavior for graphic element series that are plotted along axes
`void`
BaseRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Renders all blocks using the appropriate block z-order and the containment hierarchy.
`void`
BaseRenderer.`renderLegend(IPrimitiveRenderer ipr, Legend lg, Map<Series,LegendItemRenderingHints> htRenderers)`
Renders the legend block based on the legend rendering rules.